#pragma once

namespace TSE::EDITOR
{
    class IGUIElement
    {
    protected:
        bool enabled = true;
    public:
        virtual void Render() = 0;
        inline void SetEnabled(bool state)
        {
            enabled = state;
        };
    };
} // namespace TSE::EDITOR
